* builds/vms/ftconfig.h: Rename LOCAL_DEF and LOCAL_FUNC to FT_LOCAL and FT_LOCAL_DEF, respectively, as with other ftconfig.h files. * builds/unix/ftconfig.in: Add argument to FT_LOCAL and FT_LOCAL_DEF. * src/truetype/ttinterp.c: s/FT_Assert/FT_ASSERT/. * builds/unix/configure.ac: Temporarily deactivate creation of ../../Jamfile. * builds/unix/configure: Updated.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 337 338 339 340 341 342 343 344 345 346 347 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457 458 459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507 508 509 510 511 512 513 514 515 516 517 518 519 520 521 522 523 524 525 526 527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563 564 565 566 567 568 569 570 571 572 573 574 575 576 577 578 579 580 581 582 583 584 585 586 587 588 589 590 591 592 593 594 595 596 597 598 599 600 601 602 603 604 605 606 607 608 609 610 611 612 613 614 615 616 617 618 619 620 621 622 623 624 625 626 627 628 629 630 631 632 633 634 635 636 637 638 639 640 641 642 643 644 645 646 647 648 649 650 651 652 653 654 655 656 657 658 659 660 661 662 663 664 665 666 667 668 669 670 671 672 673 674 675 676 677 678 679 680 681 682 683 684 685 686 687 688 689 690 691 692 693 694 695 696 697 698 699 700 701 702 703 704 705 706 707 708 709 710 711 712 713 714 715 716 717 718 719 720 721 722 723 724 725 726 727 728 729 730 731 732 733 734 735 736 737 738 739 740 741 742 743 744 745 746 747 748 749 750 751 752 753 754 755 756 757 758 759 760 761 762 763 764 765 766 767 768 769 770 771 772 773 774 775 776 777 778 779 780 781 782 783 784 785 786 787 788 789 790 791 792 793 794 795 796 797 798 799 800 801 802 803 804 805 806 807 808 809 810 811 812 813 814 815 816 817 818 819 820 821 822 823 824 825 826 827 828 829 830 831 832 833 834 835 836 837 838 839 840 841 842 843 844 845 846 847 848 849 850 851 852 853 854 855 856 857 858 859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883 884 885 886 887 888 889 890 891 892 893 894 895 896 897 898 899 900 901 902 903 904 905 906 907 908 909 910 911 912 913 914 915 916 917 918 919 920 921 922 923 924 925 926 927 928 929 930 931 932 933 934 935 936 937 938 939 940 941 942 943 944 945 946 947 948 949 950 951 952 953 954 955 956 957 958 959 960 961 962 963 964 965 966 967 968 969 970 971 972 973 974 975 976 977 978 979 980 981 982 983 984 985 986 987 988 989 990 991 992 993 994 995 996 997 998 999 1000 1001 1002 1003 1004 1005 1006 1007 1008 1009 1010 1011 1012 1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027 1028 1029 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1053 1054 1055 1056 1057 1058 1059 1060 1061 1062 1063 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1098 1099 1100 1101 1102 1103 1104 1105 1106 1107 1108 1109 1110 1111 1112 1113 1114 1115 1116 1117 1118 1119 1120 1121 1122 1123 1124 1125 1126 1127 1128 1129 1130 1131 1132 1133 1134 1135 1136 1137 1138 1139 1140 1141 1142 1143 1144 1145 1146 1147 1148 1149 1150 1151 1152 1153 1154 1155 1156 1157 1158
diff --git a/ChangeLog b/ChangeLog
index 08872c4..0ed2b29 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2002-03-29 Werner Lemberg <wl@gnu.org>
+
+ * builds/vms/ftconfig.h: Rename LOCAL_DEF and LOCAL_FUNC to
+ FT_LOCAL and FT_LOCAL_DEF, respectively, as with other ftconfig.h
+ files.
+ * builds/unix/ftconfig.in: Add argument to FT_LOCAL and
+ FT_LOCAL_DEF.
+ * src/truetype/ttinterp.c: s/FT_Assert/FT_ASSERT/.
+ * builds/unix/configure.ac: Temporarily deactivate creation of
+ ../../Jamfile.
+ * builds/unix/configure: Updated.
+
2002-03-28 KUSANO Takayuki <AE5T-KSN@asahi-net.or.jp>
* src/sfnt/sfdriver.c (get_sfnt_postscript_name): Fix serious typos.
@@ -34,9 +46,11 @@
src/sfnt/ttload.c, src/sfnt/ttcmap0.c, src/sfnt/ttcmap0.h: Updated
the SFNT charmap support to use FT_CMaps.
- * include/freetype/config/ftheader.h, include/freetype/fterrors.h:
- Modified "fterrors.h" to include the error definitions list found in
- "fterrdef.h".
+ * include/freetype/fterrdef.h: New file.
+ * include/freetype/fterrors.h: Include it. It contains all error
+ codes.
+ * include/freetype/config/ftheader.h (FT_ERROR_DEFINITIONS_H): New
+ macro.
* include/freetype/internal/ftmemory.h, and a lot of other files:
Changed the names of memory macros. Examples:
@@ -75,6 +89,10 @@
Also introduced the FT_PEEK_XXXX functions.
+ * include/freetype/config/ftoption.h (FT_CONFIG_OPTION_USE_CMAPS,
+ TT_CONFIG_CMAP_FORMAT{0,2,4,6,8,10,12}): New macros to fine-tune
+ support of cmaps.
+
2002-03-21 David Turner <david@freetype.org>
* src/base/ftobjs.c, src/pcf/pcfdriver.c, src/pcf/pcfread.c: Updated
@@ -302,10 +320,10 @@
* include/freetype/ftconfig.h: Changed `FT_LOCAL xxxx' to
`FT_LOCAL( xxxx )' everywhere in the source. The same goes for
- `FT_LOCAL_DEF xxxx' translated to `FT_LOCAL_DEF( xxxxx )'.
+ `FT_LOCAL_DEF xxxx' which is translated to `FT_LOCAL_DEF( xxxxx )'.
- * include/freetype/freetype.h: Changing version to 2.1.0 to indicate
- an unstable branch.
+ * include/freetype/freetype.h (FREETYPE_MINOR, FREETYPE_PATCH):
+ Changing version to 2.1.0 to indicate an unstable branch.
Added the declarations of FT_Get_First_Char and FT_Get_Next_Char.
* src/base/ftobjs.c: Implement FT_Get_First_Char and
@@ -326,7 +344,7 @@
typedef PS_StructRec T1_Struct; /* backwards-compatibility */
Hence, we increase the coherency of the source code by effectively
- using the `Rec' prefix for structure types.
+ using the `Rec' prefix for structure types.
2002-02-27 David Turner <david@freetype.org>
@@ -376,6 +394,9 @@
FT_Stream_IO => FT_Stream_IOFunc
FT_Stream_Close => FT_Stream_CloseFunc
+ ft_close_stream => ft_ansi_stream_close (in base/ftsystem.c only)
+ ft_io_stream => ft_ansi_stream_io (in base/ftsystem.c only)
+
* Moving all memory and list management code to "src/base/ftutil.c"
(previously in "ftobjs.c" and "ftlist.c" respectively).
diff --git a/builds/amiga/src/base/ftsystem.c b/builds/amiga/src/base/ftsystem.c
index f5ef85b..e76d416 100644
--- a/builds/amiga/src/base/ftsystem.c
+++ b/builds/amiga/src/base/ftsystem.c
@@ -1,3 +1,31 @@
+/***************************************************************************/
+/* */
+/* ftsystem.c */
+/* */
+/* Amiga-specific FreeType low-level system interface (body). */
+/* */
+/* Copyright 1996-2001, 2002 by */
+/* David Turner, Robert Wilhelm, and Werner Lemberg. */
+/* */
+/* This file is part of the FreeType project, and may only be used, */
+/* modified, and distributed under the terms of the FreeType project */
+/* license, LICENSE.TXT. By continuing to use, modify, or distribute */
+/* this file you indicate that you have read the license and */
+/* understand and accept it fully. */
+/* */
+/***************************************************************************/
+
+ /*************************************************************************/
+ /* */
+ /* This file contains the Amiga interface used by FreeType to access */
+ /* low-level, i.e. memory management, i/o access as well as thread */
+ /* synchronisation. */
+ /* */
+ /*************************************************************************/
+
+
+// Maintained by Detlef Würkner <TetiSoft@apg.lahn.de>
+
// TetiSoft: Modified to avoid fopen() fclose() fread() fseek() ftell()
// malloc() realloc() and free() which can't be used in an amiga
// shared run-time library linked with libinit.o
@@ -22,79 +50,62 @@
/* TetiSoft: Missing in alib_protos.h, see amiga.lib autodoc
* (These amiga.lib functions work under AmigaOS V33 and up)
*/
-extern APTR __asm AsmCreatePool(register __d0 ULONG memFlags,
- register __d1 ULONG puddleSize,
- register __d2 ULONG threshSize,
- register __a6 struct ExecBase *SysBase);
-
-extern VOID __asm AsmDeletePool(register __a0 APTR poolHeader,
- register __a6 struct ExecBase *SysBase);
-
-extern APTR __asm AsmAllocPooled(register __a0 APTR poolHeader,
- register __d0 ULONG memSize,
- register __a6 struct ExecBase *SysBase);
-
-extern VOID __asm AsmFreePooled(register __a0 APTR poolHeader,
- register __a1 APTR memory,
- register __d0 ULONG memSize,
- register __a6 struct ExecBase *SysBase);
+extern APTR __asm
+AsmCreatePool( register __d0 ULONG memFlags,
+ register __d1 ULONG puddleSize,
+ register __d2 ULONG threshSize,
+ register __a6 struct ExecBase* SysBase );
+
+extern VOID __asm
+AsmDeletePool( register __a0 APTR poolHeader,
+ register __a6 struct ExecBase* SysBase );
+
+extern APTR __asm
+AsmAllocPooled( register __a0 APTR poolHeader,
+ register __d0 ULONG memSize,
+ register __a6 struct ExecBase* SysBase );
+
+extern VOID __asm
+AsmFreePooled( register __a0 APTR poolHeader,
+ register __a1 APTR memory,
+ register __d0 ULONG memSize,
+ register __a6 struct ExecBase* SysBase);
#endif
// TetiSoft: C implementation of AllocVecPooled (see autodoc exec/AllocPooled)
-APTR AllocVecPooled(APTR poolHeader, ULONG memSize)
+APTR
+AllocVecPooled( APTR poolHeader,
+ ULONG memSize )
{
- ULONG newSize = memSize + sizeof(ULONG);
+ ULONG newSize = memSize + sizeof ( ULONG );
#ifdef __GNUC__
- ULONG *mem = AllocPooled(poolHeader, newSize);
+ ULONG *mem = AllocPooled( poolHeader, newSize );
#else
- ULONG *mem = AsmAllocPooled(poolHeader, newSize, SysBase);
+ ULONG *mem = AsmAllocPooled( poolHeader, newSize, SysBase );
#endif
- if (!mem)
- return NULL;
- *mem = newSize;
- return mem + 1;
+ if ( !mem )
+ return NULL;
+ *mem = newSize;
+ return mem + 1;
}
+
// TetiSoft: C implementation of FreeVecPooled (see autodoc exec/AllocPooled)
-void FreeVecPooled(APTR poolHeader, APTR memory)
+void
+FreeVecPooled( APTR poolHeader,
+ APTR memory )
{
- ULONG *realmem = (ULONG *)memory - 1;
+ ULONG *realmem = (ULONG *)memory - 1;
#ifdef __GNUC__
- FreePooled(poolHeader, realmem, *realmem);
+ FreePooled( poolHeader, realmem, *realmem );
#else
- AsmFreePooled(poolHeader, realmem, *realmem, SysBase);
+ AsmFreePooled( poolHeader, realmem, *realmem, SysBase );
#endif
}
-/***************************************************************************/
-/* */
-/* ftsystem.c */
-/* */
-/* ANSI-specific FreeType low-level system interface (body). */
-/* */
-/* Copyright 1996-2001 by */
-/* David Turner, Robert Wilhelm, and Werner Lemberg. */
-/* */
-/* This file is part of the FreeType project, and may only be used, */
-/* modified, and distributed under the terms of the FreeType project */
-/* license, LICENSE.TXT. By continuing to use, modify, or distribute */
-/* this file you indicate that you have read the license and */
-/* understand and accept it fully. */
-/* */
-/***************************************************************************/
-
- /*************************************************************************/
- /* */
- /* This file contains the default interface used by FreeType to access */
- /* low-level, i.e. memory management, i/o access as well as thread */
- /* synchronisation. It can be replaced by user-specific routines if */
- /* necessary. */
- /* */
- /*************************************************************************/
-
#include <ft2build.h>
#include FT_CONFIG_CONFIG_H
@@ -203,9 +214,9 @@ void FreeVecPooled(APTR poolHeader, APTR memory)
/* The memory release function. */
/* */
/* <Input> */
- /* memory :: A pointer to the memory object. */
+ /* memory :: A pointer to the memory object. */
/* */
- /* block :: The address of block in memory to be freed. */
+ /* block :: The address of block in memory to be freed. */
/* */
FT_CALLBACK_DEF( void )
ft_free( FT_Memory memory,
@@ -237,7 +248,7 @@ void FreeVecPooled(APTR poolHeader, APTR memory)
/* We use the macro STREAM_FILE for convenience to extract the */
/* system-specific stream handle from a given FreeType stream object */
-//#define STREAM_FILE( stream ) ( (FILE*)stream->descriptor.pointer )
+// #define STREAM_FILE( stream ) ( (FILE*)stream->descriptor.pointer )
#define STREAM_FILE( stream ) ( (BPTR)stream->descriptor.pointer ) // TetiSoft
@@ -310,9 +321,9 @@ void FreeVecPooled(APTR poolHeader, APTR memory)
FT_Stream_Open( FT_Stream stream,
const char* filepathname )
{
-// FILE* file;
- BPTR file; // TetiSoft
- struct FileInfoBlock *fib; // TetiSoft
+// FILE* file;
+ BPTR file; // TetiSoft
+ struct FileInfoBlock* fib; // TetiSoft
if ( !stream )
@@ -340,9 +351,9 @@ void FreeVecPooled(APTR poolHeader, APTR memory)
return FT_Err_Cannot_Open_Resource;
}
- if (!( ExamineFH ( file, fib )))
+ if ( !( ExamineFH( file, fib ) ) )
{
- FreeDosObject(DOS_FIB, fib);
+ FreeDosObject( DOS_FIB, fib );
Close ( file );
FT_ERROR(( "FT_Stream_Open:" ));
FT_ERROR(( " could not open `%s'\n", filepathname ));
@@ -350,7 +361,7 @@ void FreeVecPooled(APTR poolHeader, APTR memory)
return FT_Err_Cannot_Open_Resource;
}
stream->size = fib->fib_Size;
- FreeDosObject(DOS_FIB, fib);
+ FreeDosObject( DOS_FIB, fib );
// stream->descriptor.pointer = file;
stream->descriptor.pointer = (void *)file;
@@ -369,7 +380,6 @@ void FreeVecPooled(APTR poolHeader, APTR memory)
}
-
#ifdef FT_DEBUG_MEMORY
extern FT_Int
@@ -393,15 +403,15 @@ void FreeVecPooled(APTR poolHeader, APTR memory)
memory = (FT_Memory)AllocVec( sizeof ( *memory ), MEMF_PUBLIC );
if ( memory )
{
-// memory->user = 0;
+// memory->user = 0;
#ifdef __GNUC__
- memory->user = CreatePool ( MEMF_PUBLIC, 2048, 2048 );
+ memory->user = CreatePool( MEMF_PUBLIC, 2048, 2048 );
#else
- memory->user = AsmCreatePool ( MEMF_PUBLIC, 2048, 2048, SysBase );
+ memory->user = AsmCreatePool( MEMF_PUBLIC, 2048, 2048, SysBase );
#endif
if ( memory->user == NULL )
{
- FreeVec ( memory );
+ FreeVec( memory );
memory = NULL;
}
else
diff --git a/builds/unix/configure b/builds/unix/configure
index 2fe7c8b..ea6ecc5 100644
--- a/builds/unix/configure
+++ b/builds/unix/configure
@@ -7740,8 +7740,6 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
ac_config_files="$ac_config_files unix-cc.mk:unix-cc.in unix-def.mk:unix-def.in freetype-config"
-ac_config_files="$ac_config_files ../../Jamfile:../../Jamfile.in"
-
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
@@ -7821,7 +7819,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:7824: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:7822: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -7994,7 +7992,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:7997: error: ambiguous option: $1
+ { { echo "$as_me:7995: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -8013,7 +8011,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:8016: error: unrecognized option: $1
+ -*) { { echo "$as_me:8014: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -8051,9 +8049,8 @@ do
"unix-cc.mk" ) CONFIG_FILES="$CONFIG_FILES unix-cc.mk:unix-cc.in" ;;
"unix-def.mk" ) CONFIG_FILES="$CONFIG_FILES unix-def.mk:unix-def.in" ;;
"freetype-config" ) CONFIG_FILES="$CONFIG_FILES freetype-config" ;;
- "../../Jamfile" ) CONFIG_FILES="$CONFIG_FILES ../../Jamfile:../../Jamfile.in" ;;
"ftconfig.h" ) CONFIG_HEADERS="$CONFIG_HEADERS ftconfig.h:ftconfig.in" ;;
- *) { { echo "$as_me:8056: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:8053: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -8285,7 +8282,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:8288: creating $ac_file" >&5
+ { echo "$as_me:8285: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -8303,7 +8300,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:8306: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:8303: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -8316,7 +8313,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:8319: error: cannot find input file: $f" >&5
+ { { echo "$as_me:8316: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -8377,7 +8374,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:8380: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:8377: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -8388,7 +8385,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:8391: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:8388: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -8401,7 +8398,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:8404: error: cannot find input file: $f" >&5
+ { { echo "$as_me:8401: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -8518,7 +8515,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:8521: $ac_file is unchanged" >&5
+ { echo "$as_me:8518: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff --git a/builds/unix/configure.ac b/builds/unix/configure.ac
index 42831cc..14b1b51 100644
--- a/builds/unix/configure.ac
+++ b/builds/unix/configure.ac
@@ -89,7 +89,7 @@ AC_CONFIG_FILES([unix-cc.mk:unix-cc.in unix-def.mk:unix-def.in freetype-config])
dnl re-generate the Jamfile to use libtool now
dnl
-AC_CONFIG_FILES([../../Jamfile:../../Jamfile.in])
+dnl AC_CONFIG_FILES([../../Jamfile:../../Jamfile.in])
AC_OUTPUT
diff --git a/builds/unix/ftconfig.in b/builds/unix/ftconfig.in
index ce20cf6..bb5b586 100644
--- a/builds/unix/ftconfig.in
+++ b/builds/unix/ftconfig.in
@@ -4,7 +4,7 @@
/* */
/* UNIX-specific configuration file (specification only). */
/* */
-/* Copyright 1996-2000 by */
+/* Copyright 1996-2000, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -62,7 +62,6 @@ FT_BEGIN_HEADER
#define SIZEOF_INT 2
#define SIZEOF_LONG 2
-
#define FT_SIZEOF_INT SIZEOF_INT
#define FT_SIZEOF_LONG SIZEOF_LONG
@@ -141,17 +140,17 @@ FT_BEGIN_HEADER
#ifdef FT_MAKE_OPTION_SINGLE_OBJECT
-#define FT_LOCAL static
-#define FT_LOCAL_DEF static
+#define FT_LOCAL( x ) static x
+#define FT_LOCAL_DEF( x ) static x
#else
#ifdef __cplusplus
-#define FT_LOCAL extern "C"
-#define FT_LOCAL_DEF extern "C"
+#define FT_LOCAL( x ) extern "C" x
+#define FT_LOCAL_DEF( x ) extern "C" x
#else
-#define FT_LOCAL extern
-#define FT_LOCAL_DEF extern
+#define FT_LOCAL( x ) extern x
+#define FT_LOCAL_DEF( x ) extern x
#endif
#endif /* FT_MAKE_OPTION_SINGLE_OBJECT */
@@ -236,9 +235,9 @@ FT_BEGIN_HEADER
/* */
#ifndef FT_CALLBACK_DEF
#ifdef __cplusplus
-#define FT_CALLBACK_DEF( x ) extern "C" x
+#define FT_CALLBACK_DEF( x ) extern "C" x
#else
-#define FT_CALLBACK_DEF( x ) static x
+#define FT_CALLBACK_DEF( x ) static x
#endif
#endif /* FT_CALLBACK_DEF */
diff --git a/builds/unix/ftsystem.c b/builds/unix/ftsystem.c
index 5683993..4ae260c 100644
--- a/builds/unix/ftsystem.c
+++ b/builds/unix/ftsystem.c
@@ -4,7 +4,7 @@
/* */
/* Unix-specific FreeType low-level system interface (body). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -144,9 +144,9 @@
/* The memory release function. */
/* */
/* <Input> */
- /* memory :: A pointer to the memory object. */
+ /* memory :: A pointer to the memory object. */
/* */
- /* block :: The address of block in memory to be freed. */
+ /* block :: The address of block in memory to be freed. */
/* */
FT_CALLBACK_DEF( void )
ft_free( FT_Memory memory,
@@ -230,9 +230,9 @@
/* */
#ifdef F_SETFD
#ifdef FD_CLOEXEC
- (void) fcntl( file, F_SETFD, FD_CLOEXEC );
+ (void)fcntl( file, F_SETFD, FD_CLOEXEC );
#else
- (void) fcntl( file, F_SETFD, 1 );
+ (void)fcntl( file, F_SETFD, 1 );
#endif /* FD_CLOEXEC */
#endif /* F_SETFD */
diff --git a/builds/vms/ftconfig.h b/builds/vms/ftconfig.h
index f5e5e64..7a45f07 100644
--- a/builds/vms/ftconfig.h
+++ b/builds/vms/ftconfig.h
@@ -4,7 +4,7 @@
/* */
/* VMS-specific configuration file (specification only). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -62,9 +62,8 @@ FT_BEGIN_HEADER
#define SIZEOF_INT 4
#define SIZEOF_LONG 4
-
-#define FT_SIZEOF_INT 4
-#define FT_SIZEOF_LONG 4
+#define FT_SIZEOF_INT 4
+#define FT_SIZEOF_LONG 4
/* Preferred alignment of data */
@@ -120,7 +119,6 @@ FT_BEGIN_HEADER
#else
-
/*************************************************************************/
/* */
/* Many compilers provide the non-ANSI `long long' 64-bit type. You can */
@@ -137,22 +135,23 @@ FT_BEGIN_HEADER
#define FT_INT64 long long
#endif /* FTCALC_USE_LONG_LONG */
+
#endif /* FT_SIZEOF_LONG == 8 */
#ifdef FT_MAKE_OPTION_SINGLE_OBJECT
-#define LOCAL_DEF static
-#define LOCAL_FUNC static
+#define FT_LOCAL( x ) static x
+#define FT_LOCAL_DEF( x ) static x
#else
#ifdef __cplusplus
-#define LOCAL_DEF extern "C"
-#define LOCAL_FUNC extern "C"
+#define FT_LOCAL( x ) extern "C" x
+#define FT_LOCAL_DEF( x ) extern "C" x
#else
-#define LOCAL_DEF extern
-#define LOCAL_FUNC extern
+#define FT_LOCAL( x ) extern x
+#define FT_LOCAL_DEF( x ) x
#endif
#endif /* FT_MAKE_OPTION_SINGLE_OBJECT */
@@ -218,13 +217,13 @@ FT_BEGIN_HEADER
/* */
#ifdef __cplusplus
-#define FT_CALLBACK_DEF( x ) extern "C" x
+#define FT_CALLBACK_DEF( x ) extern "C" x
#define FT_CALLBACK_TABLE extern "C"
#define FT_CALLBACK_TABLE_DEF extern "C"
#else
-#define FT_CALLBACK_DEF( x ) static x
+#define FT_CALLBACK_DEF( x ) static x
#define FT_CALLBACK_TABLE extern
#define FT_CALLBACK_TABLE_DEF
diff --git a/builds/vms/ftsystem.c b/builds/vms/ftsystem.c
index dcd3185..8a198e6 100644
--- a/builds/vms/ftsystem.c
+++ b/builds/vms/ftsystem.c
@@ -2,9 +2,9 @@
/* */
/* ftsystem.c */
/* */
-/* Unix-specific FreeType low-level system interface (body). */
+/* VMS-specific FreeType low-level system interface (body). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -144,9 +144,9 @@
/* The memory release function. */
/* */
/* <Input> */
- /* memory :: A pointer to the memory object. */
+ /* memory :: A pointer to the memory object. */
/* */
- /* block :: The address of block in memory to be freed. */
+ /* block :: The address of block in memory to be freed. */
/* */
FT_CALLBACK_DEF( void )
ft_free( FT_Memory memory,
diff --git a/include/freetype/config/ftconfig.h b/include/freetype/config/ftconfig.h
index a2385a8..c1c2f29 100644
--- a/include/freetype/config/ftconfig.h
+++ b/include/freetype/config/ftconfig.h
@@ -4,7 +4,7 @@
/* */
/* ANSI-specific configuration file (specification only). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -130,18 +130,17 @@ FT_BEGIN_HEADER
/* now, lookup for an integer type that is at least 32 bits */
#if FT_SIZEOF_INT >= 4
- typedef int FT_Fast;
- typedef unsigned int FT_UFast;
+ typedef int FT_Fast;
+ typedef unsigned int FT_UFast;
#elif FT_SIZEOF_LONG >= 4
- typedef long FT_Fast;
- typedef unsigned long FT_UFast;
+ typedef long FT_Fast;
+ typedef unsigned long FT_UFast;
#endif
-
/* determine whether we have a 64-bit int type for platforms without */
/* Autoconf */
#if FT_SIZEOF_LONG == 8
@@ -180,7 +179,7 @@ FT_BEGIN_HEADER
#define FT_LONG64
#define FT_INT64 long long int
-#endif /* !FT_LONG64 */
+#endif /* FT_SIZEOF_LONG == 8 */
/*************************************************************************/
@@ -205,17 +204,17 @@ FT_BEGIN_HEADER
#ifdef FT_MAKE_OPTION_SINGLE_OBJECT
-#define FT_LOCAL(x) static x
-#define FT_LOCAL_DEF(x) static x
+#define FT_LOCAL( x ) static x
+#define FT_LOCAL_DEF( x ) static x
#else
#ifdef __cplusplus
-#define FT_LOCAL(x) extern "C" x
-#define FT_LOCAL_DEF(x) extern "C" x
+#define FT_LOCAL( x ) extern "C" x
+#define FT_LOCAL_DEF( x ) extern "C" x
#else
-#define FT_LOCAL(x) extern x
-#define FT_LOCAL_DEF(x) x
+#define FT_LOCAL( x ) extern x
+#define FT_LOCAL_DEF( x ) x
#endif
#endif /* FT_MAKE_OPTION_SINGLE_OBJECT */
@@ -300,9 +299,9 @@ FT_BEGIN_HEADER
/* */
#ifndef FT_CALLBACK_DEF
#ifdef __cplusplus
-#define FT_CALLBACK_DEF( x ) extern "C" x
+#define FT_CALLBACK_DEF( x ) extern "C" x
#else
-#define FT_CALLBACK_DEF( x ) static x
+#define FT_CALLBACK_DEF( x ) static x
#endif
#endif /* FT_CALLBACK_DEF */
diff --git a/include/freetype/config/ftheader.h b/include/freetype/config/ftheader.h
index fee2db1..71f9a51 100644
--- a/include/freetype/config/ftheader.h
+++ b/include/freetype/config/ftheader.h
@@ -4,7 +4,7 @@
/* */
/* Build macros of the FreeType 2 library. */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
diff --git a/include/freetype/config/ftoption.h b/include/freetype/config/ftoption.h
index a445cc1..23efd0e 100644
--- a/include/freetype/config/ftoption.h
+++ b/include/freetype/config/ftoption.h
@@ -4,7 +4,7 @@
/* */
/* User-selectable configuration macros (specification only). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -76,14 +76,14 @@ FT_BEGIN_HEADER
/*************************************************************************/
+ /*************************************************************************/
+ /* */
+ /* CMap support */
+ /* */
+ /* Define this if you want generic cmap support. */
+ /* */
#define FT_CONFIG_OPTION_USE_CMAPS
-#define TT_CONFIG_CMAP_FORMAT_0
-#define TT_CONFIG_CMAP_FORMAT_2
-#define TT_CONFIG_CMAP_FORMAT_4
-#define TT_CONFIG_CMAP_FORMAT_6
-#define TT_CONFIG_CMAP_FORMAT_8
-#define TT_CONFIG_CMAP_FORMAT_10
-#define TT_CONFIG_CMAP_FORMAT_12
+
/*************************************************************************/
/* */
@@ -368,6 +368,21 @@ FT_BEGIN_HEADER
/*************************************************************************/
+ /* */
+ /* TrueType CMap support */
+ /* */
+ /* Here you can fine-tune which TrueType CMap table format shall be */
+ /* supported. */
+#define TT_CONFIG_CMAP_FORMAT_0
+#define TT_CONFIG_CMAP_FORMAT_2
+#define TT_CONFIG_CMAP_FORMAT_4
+#define TT_CONFIG_CMAP_FORMAT_6
+#define TT_CONFIG_CMAP_FORMAT_8
+#define TT_CONFIG_CMAP_FORMAT_10
+#define TT_CONFIG_CMAP_FORMAT_12
+
+
+ /*************************************************************************/
/*************************************************************************/
/**** ****/
/**** T R U E T Y P E D R I V E R C O N F I G U R A T I O N ****/
diff --git a/include/freetype/freetype.h b/include/freetype/freetype.h
index 3d9437d..b3c6578 100644
--- a/include/freetype/freetype.h
+++ b/include/freetype/freetype.h
@@ -4,7 +4,7 @@
/* */
/* FreeType high-level API and common types (specification only). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -1345,26 +1345,28 @@ FT_BEGIN_HEADER
/* FT_Library_Version */
/* */
/* <Description> */
- /* Return the version of the FreeType library being used. This */
- /* is useful when dynamically linking to the library, since one */
- /* cannot use the macros FT_FREETYPE_MAJOR, FT_FREETYPE_MINOR and */
+ /* Return the version of the FreeType library being used. This is */
+ /* useful when dynamically linking to the library, since one cannot */
+ /* use the macros FT_FREETYPE_MAJOR, FT_FREETYPE_MINOR, and */
/* FT_FREETYPE_PATCH. */
/* */
/* <Input> */
- /* library :: source library handle. */
+ /* library :: A source library handle. */
/* */
/* <Output> */
- /* amajor :: major version number */
- /* aminor :: minor version number */
- /* apatch :: patch version number */
+ /* amajor :: The major version number. */
+ /* */
+ /* aminor :: The minor version number. */
+ /* */
+ /* apatch :: The patch version number. */
/* */
/* <Note> */
- /* the reason why this function takes a 'library' argument is */
- /* because certain programs implement library initialisation in */
- /* a custom way that doesn't use FT_Init_FreeType. */
+ /* The reason why this function takes a 'library' argument is because */
+ /* certain programs implement library initialization in a custom way */
+ /* that doesn't use `FT_Init_FreeType'. */
/* */
- /* in certain such cases, the library version cannot be known until */
- /* the library object has been created.. */
+ /* In such cases it can happen that the library version is not known */
+ /* until the library object has been created. */
/* */
FT_EXPORT( void )
FT_Library_Version( FT_Library library,
@@ -2434,39 +2436,40 @@ FT_BEGIN_HEADER
/* */
/* <Description> */
/* This function is used to return the first character code in the */
- /* current charmap of a given face. It will also return the */
+ /* current charmap of a given face. It will also return the */
/* corresponding glyph index. */
/* */
/* <Input> */
- /* face :: A handle to the source face object. */
+ /* face :: A handle to the source face object. */
/* */
/* <Output> */
- /* agindex :: glyph index of first character code. 0 if charmap */
- /* is empty.. */
+ /* agindex :: Glyph index of first character code. 0 if charmap is */
+ /* empty. */
/* */
/* <Return> */
- /* the charmap's first character code. */
+ /* The charmap's first character code. */
/* */
/* <Note> */
- /* you should use this function with @FT_Get_Next_Char to be able */
- /* to parse all character codes available in a given charmap. */
- /* the code should look like: */
+ /* You should use this function with @FT_Get_Next_Char to be able to */
+ /* parse all character codes available in a given charmap. The code */
+ /* should look like this: */
/* */
/* { */
/* FT_ULong charcode; */
/* FT_UInt gindex; */
/* */
+ /* */
/* charcode = FT_Get_First_Char( face, &gindex ); */
/* while ( gindex != 0 ) */
/* { */
- /* .. do something with (charcode,gindex) pair */
+ /* ... do something with (charcode,gindex) pair ... */
/* */
/* charcode = FT_Get_Next_Char( face, charcode, &gindex ); */
/* } */
/* } */
/* */
- /* note that '*agindex' will be set to 0 if the charmap is empty. */
- /* the result itself can be 0 in two cases: if the charmap is empty */
+ /* Note that `*agindex' will be set to 0 if the charmap is empty. */
+ /* The result itself can be 0 in two cases: if the charmap is empty */
/* or when the value 0 is the first valid character code. */
/* */
FT_EXPORT( FT_ULong )
@@ -2482,26 +2485,26 @@ FT_BEGIN_HEADER
/* <Description> */
/* This function is used to return the next character code in the */
/* current charmap of a given face following the value 'char_code', */
- /* as well as the corresponding glyph index */
+ /* as well as the corresponding glyph index. */
/* */
/* <Input> */
/* face :: A handle to the source face object. */
- /* char_code :: starting character code */
+ /* char_code :: The starting character code. */
/* */
/* <Output> */
- /* agindex :: glyph index of first character code. 0 if charmap */
- /* is empty.. */
+ /* agindex :: Glyph index of first character code. 0 if charmap */
+ /* is empty. */
/* */
/* <Return> */
- /* the charmap's next character code. */
+ /* The charmap's next character code. */
/* */
/* <Note> */
- /* you should use this function with @FT_Get_First_Char to be able */
- /* to parse all character codes available in a given charmap. see */
- /* the note for this function for a simple code example.. */
+ /* You should use this function with @FT_Get_First_Char to walk */
+ /* through all character codes available in a given charmap. See */
+ /* the note for this function for a simple code example. */
/* */
- /* note that '*agindex' will be set to 0 when there are no more */
- /* codes in the charmap.. */
+ /* Note that `*agindex' will be set to 0 when there are no more codes */
+ /* in the charmap. */
/* */
FT_EXPORT( FT_ULong )
FT_Get_Next_Char( FT_Face face,
@@ -2509,7 +2512,6 @@ FT_BEGIN_HEADER
FT_UInt *agindex );
-
/*************************************************************************/
/* */
/* <Function> */
diff --git a/include/freetype/fterrdef.h b/include/freetype/fterrdef.h
index cb114e4..ee126b9 100644
--- a/include/freetype/fterrdef.h
+++ b/include/freetype/fterrdef.h
@@ -1,8 +1,33 @@
-/* Error definitions for FreeType */
-/* */
-/* You need to define both FT_ERRORDEF_ and FT_NOERRORDEF_ before */
-/* including this file.. */
-/* */
+/***************************************************************************/
+/* */
+/* fterrdef.h */
+/* */
+/* FreeType error codes (specification). */
+/* */
+/* Copyright 2002 by */
+/* David Turner, Robert Wilhelm, and Werner Lemberg. */
+/* */
+/* This file is part of the FreeType project, and may only be used, */
+/* modified, and distributed under the terms of the FreeType project */
+/* license, LICENSE.TXT. By continuing to use, modify, or distribute */
+/* this file you indicate that you have read the license and */
+/* understand and accept it fully. */
+/* */
+/***************************************************************************/
+
+
+ /*******************************************************************/
+ /*******************************************************************/
+ /***** *****/
+ /***** LIST OF ERROR CODES/MESSAGES *****/
+ /***** *****/
+ /*******************************************************************/
+ /*******************************************************************/
+
+
+ /* You need to define both FT_ERRORDEF_ and FT_NOERRORDEF_ before */
+ /* including this file. */
+
/* generic errors */
@@ -183,3 +208,6 @@
FT_ERRORDEF_( Stack_Underflow, 0xA1, \
"argument stack underflow" )
+
+
+/* END */
diff --git a/include/freetype/fterrors.h b/include/freetype/fterrors.h
index 1e37cb8..1def4f9 100644
--- a/include/freetype/fterrors.h
+++ b/include/freetype/fterrors.h
@@ -2,9 +2,9 @@
/* */
/* fterrors.h */
/* */
-/* FreeType error codes (specification). */
+/* FreeType error code handling (specification). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -18,16 +18,16 @@
/*************************************************************************/
/* */
- /* This special header file is used to define the FT2 enumeration */
- /* constants. It can also be used to generate error message strings */
- /* with a small macro trick explained below. */
+ /* This special header file is used to define the handling of FT2 */
+ /* enumeration constants. It can also be used to generate error message */
+ /* strings with a small macro trick explained below. */
/* */
/* I - Error Formats */
/* ----------------- */
/* */
/* Since release 2.1, the error constants have changed. The lower */
/* byte of the error value gives the "generic" error code, while the */
- /* higher byte indicates in which module the error occured. */
+ /* higher byte indicates in which module the error occurred. */
/* */
/* You can use the macro FT_ERROR_BASE(x) macro to extract the generic */
/* error code from an FT_Error value. */
@@ -71,9 +71,9 @@
/* */
/* { */
/* #undef __FTERRORS_H__ */
- /* #define FT_ERRORDEF( e, v, s ) { e, s }, */
- /* #define FT_ERROR_START_LIST { */
- /* #define FT_ERROR_END_LIST { 0, 0 } }; */
+ /* #define FT_ERRORDEF( e, v, s ) { e, s }, */
+ /* #define FT_ERROR_START_LIST { */
+ /* #define FT_ERROR_END_LIST { 0, 0 } }; */
/* */
/* const struct */
/* { */
@@ -163,20 +163,12 @@
FT_ERRORDEF( FT_ERR_CAT( FT_ERR_PREFIX, e ), v, s )
- /*******************************************************************/
- /*******************************************************************/
- /***** *****/
- /***** LIST OF ERROR CODES/MESSAGES *****/
- /***** *****/
- /*******************************************************************/
- /*******************************************************************/
-
-
#ifdef FT_ERROR_START_LIST
FT_ERROR_START_LIST
#endif
+ /* no include the error codes */
#include FT_ERROR_DEFINITIONS_H
@@ -211,4 +203,5 @@
#endif /* __FTERRORS_H__ */
+
/* END */
diff --git a/include/freetype/ftsystem.h b/include/freetype/ftsystem.h
index 665f740..1d22ec1 100644
--- a/include/freetype/ftsystem.h
+++ b/include/freetype/ftsystem.h
@@ -4,7 +4,7 @@
/* */
/* FreeType low-level system interface definition (specification). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -25,6 +25,7 @@
FT_BEGIN_HEADER
+
/*************************************************************************/
/* */
/* <Section> */
diff --git a/src/base/ftsystem.c b/src/base/ftsystem.c
index 499d309..32d8172 100644
--- a/src/base/ftsystem.c
+++ b/src/base/ftsystem.c
@@ -4,7 +4,7 @@
/* */
/* ANSI-specific FreeType low-level system interface (body). */
/* */
-/* Copyright 1996-2001 by */
+/* Copyright 1996-2001, 2002 by */
/* David Turner, Robert Wilhelm, and Werner Lemberg. */
/* */
/* This file is part of the FreeType project, and may only be used, */
@@ -254,7 +254,6 @@
}
-
#ifdef FT_DEBUG_MEMORY
extern FT_Int
diff --git a/src/truetype/ttinterp.c b/src/truetype/ttinterp.c
index 45d34ac..560b673 100644
--- a/src/truetype/ttinterp.c
+++ b/src/truetype/ttinterp.c
@@ -264,17 +264,17 @@
TT_CodeRange* coderange;
- FT_Assert( range >= 1 && range <= 3 );
+ FT_ASSERT( range >= 1 && range <= 3 );
coderange = &exec->codeRangeTable[range - 1];
- FT_Assert( coderange->base != NULL );
+ FT_ASSERT( coderange->base != NULL );
/* NOTE: Because the last instruction of a program may be a CALL */
/* which will return to the first byte *after* the code */
/* range, we test for IP <= Size instead of IP < Size. */
/* */
- FT_Assert( (FT_ULong)IP <= coderange->size );
+ FT_ASSERT( (FT_ULong)IP <= coderange->size );
exec->code = coderange->base;
exec->codeSize = coderange->size;
@@ -312,7 +312,7 @@
void* base,
FT_Long length )
{
- FT_Assert( range >= 1 && range <= 3 );
+ FT_ASSERT( range >= 1 && range <= 3 );
exec->codeRangeTable[range - 1].base = (FT_Byte*)base;
exec->codeRangeTable[range - 1].size = length;
@@ -345,7 +345,7 @@
TT_Clear_CodeRange( TT_ExecContext exec,
FT_Int range )
{
- FT_Assert( range >= 1 && range <= 3 );
+ FT_ASSERT( range >= 1 && range <= 3 );
exec->codeRangeTable[range - 1].base = NULL;
exec->codeRangeTable[range - 1].size = 0;